%define dist Compress-Zlib
Name: perl-%dist
Version: 1.33
Release: alt1

Summary: Perl interface to the zlib library
License: GPL or Artistic
Group: Development/Perl

URL: %CPAN %dist
Source: %dist-%version.tar.bz2

# Automatically added by buildreq on Fri Apr 16 2004
BuildRequires: perl-devel perl-i18n zlib-devel

%description
This module provides a Perl interface to part of the info-zip zlib
compression library. For more details see the pod documentation
embedded in the file Zlib.pm.

%prep
%setup -q -n %dist-%version
%__rm -rfv zlib*

%build
export BUILD_ZLIB=False OLD_ZLIB=False INCLUDE=%_includedir LIB=%_libdir
%perl_vendor_build

%install
%perl_vendor_install
%perl_fix_local examples/*
%__rm -fv examples/*.bak

%files
%perl_vendor_archlib/Compress
%perl_vendor_autolib/Compress
%perl_vendor_man3dir/*
%doc ANNOUNCE Change* README examples

%changelog
* Fri Apr 16 2004 Alexey Tourbin <at@altlinux.ru> 1.33-alt1
- 1.32 -> 1.33

* Mon Dec 01 2003 Alexey Tourbin <at@altlinux.ru> 1.32-alt1
- 1.32

* Tue Nov 11 2003 Alexey Tourbin <at@altlinux.ru> 1.31-alt1
- 1.31; bundled zlib sources ignored

* Tue Jul 08 2003 Alexey Tourbin <at@altlinux.ru> 1.22-alt1
- 1.22

* Fri May 09 2003 Alexey Tourbin <at@altlinux.ru> 1.21-alt1
- 1.21; specfile cleanup

* Wed Dec 18 2002 Alexey Tourbin <at@altlinux.ru> 1.19-alt1
- 1.19
- more %%doc files

* Thu Oct 31 2002 Alexey Tourbin <at@altlinux.ru> 1.18-alt1
- 1.18
- rebuilt for perl-5.8 with new rpm macros

* Sun Jun 09 2002 Mikhail Zabaluev <mhz@altlinux.ru> 1.16-alt1
- Initial release
